Container Services - List Orchestrators
Obtient la liste des orchestrateurs pris en charge dans l’abonnement spécifié. L’opération retourne les propriétés de chaque orchestrateur, y compris la version, les mises à niveau disponibles et si cette version ou ces mises à niveau sont en préversion.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerService/locations/{location}/orchestrators?api-version=2019-04-01&resource-type={resource-type}
Paramètres URI
| Nom | Dans | Obligatoire | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Nom d’une région Azure prise en charge. |
|
subscription
|
path | True |
string |
Informations d’identification d’abonnement qui identifient de manière unique l’abonnement Microsoft Azure. L’ID d’abonnement fait partie de l’URI de chaque appel de service. |
|
api-version
|
query | True |
string |
Version de l’API cliente. |
|
resource-type
|
query |
string |
type de ressource pour lequel la liste des orchestrateurs doit être retournée |
Réponses
| Nom | Type | Description |
|---|---|---|
| 200 OK |
D’ACCORD |
Sécurité
azure_auth
Flux OAuth2 Azure Active Directory
Type:
oauth2
Flux:
implicit
URL d’autorisation:
https://login.microsoftonline.com/common/oauth2/authorize
Étendues
| Nom | Description |
|---|---|
| user_impersonation | emprunter l’identité de votre compte d’utilisateur |
Exemples
List Container Service Orchestrators
Exemple de requête
GET https://management.azure.com/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators?api-version=2019-04-01
Exemple de réponse
{
"id": "/subscriptions/subid1/providers/Microsoft.ContainerService/locations/location1/orchestrators",
"name": "default",
"type": "Microsoft.ContainerService/locations/orchestrators",
"properties": {
"orchestrators": [
{
"orchestratorType": "DCOS",
"orchestratorVersion": "1.10.0"
},
{
"orchestratorType": "DCOS",
"orchestratorVersion": "1.9.0"
},
{
"orchestratorType": "DCOS",
"orchestratorVersion": "1.8.8"
},
{
"orchestratorType": "Swarm",
"orchestratorVersion": "swarm:1.1.0"
},
{
"orchestratorType": "DockerCE",
"orchestratorVersion": "17.03.*"
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.8.1",
"upgrades": [
{
"orchestratorVersion": "1.8.4"
},
{
"orchestratorVersion": "1.8.2"
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.9.10",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.9.11",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.10.12",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.10.13",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.9.11",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.10.12",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.10.13",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.10.12",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.10.13",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.11.8",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.11.9",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.10.13",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.11.8",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.11.9",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.11.8",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.11.9",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.12.6",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.12.7",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.11.9",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.12.6",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.12.7",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.12.6",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.12.7",
"isPreview": false
},
{
"orchestratorType": "",
"orchestratorVersion": "1.13.5",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.12.7",
"default": true,
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.13.5",
"isPreview": false
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.13.5",
"upgrades": [
{
"orchestratorType": "",
"orchestratorVersion": "1.14.0",
"isPreview": true
}
]
},
{
"orchestratorType": "Kubernetes",
"orchestratorVersion": "1.14.0",
"isPreview": true
}
]
}
}
Définitions
| Nom | Description |
|---|---|
|
Orchestrator |
Liste des versions de mise à niveau disponibles. |
|
Orchestrator |
Liste des profils de version d’orchestrateur. |
|
Orchestrator |
Liste des versions des orchestrateurs pris en charge. |
OrchestratorProfile
Liste des versions de mise à niveau disponibles.
| Nom | Type | Description |
|---|---|---|
| isPreview |
boolean |
Indique si la version de Kubernetes est actuellement en préversion. |
| orchestratorType |
string |
Type d’orchestrateur. |
| orchestratorVersion |
string |
Version d’Orchestrator (majeure, mineure, corrective). |
OrchestratorVersionProfile
Liste des profils de version d’orchestrateur.
| Nom | Type | Description |
|---|---|---|
| default |
boolean |
Installé par défaut si la version n’est pas spécifiée. |
| isPreview |
boolean |
Indique si la version de Kubernetes est actuellement en préversion. |
| orchestratorType |
string |
Type d’orchestrateur. |
| orchestratorVersion |
string |
Version d’Orchestrator (majeure, mineure, corrective). |
| upgrades |
Liste des versions de mise à niveau disponibles. |
OrchestratorVersionProfileListResult
Liste des versions des orchestrateurs pris en charge.
| Nom | Type | Description |
|---|---|---|
| id |
string |
ID du résultat de la liste de profils de version d’orchestrateur. |
| name |
string |
Nom du résultat de la liste de profils de version d’orchestrateur. |
| properties.orchestrators |
Liste des profils de version d’orchestrateur. |
|
| type |
string |
Type du résultat de la liste de profils de version d’orchestrateur. |